# Function buildInsertSql

- buildInsertSql(
  tbl: string,
  obj: Row,
  opts?: {
  ignoreExisting?: boolean;
  jsonCols?: string[];
  noid?: boolean;
  replace?: boolean;
  },
  ): SqlAndValues

  Build a INSERT INTO sql statement for one row

  #### Parameters

  - tbl: string

    table name

  - obj: Row

    row to insert

  - opts: {
    ignoreExisting?: boolean;
    jsonCols?: string[];
    noid?: boolean;
    replace?: boolean;
    } = {}

    noid, ignoreExisting, replace

  #### Returns SqlAndValues

  sql string and values for the placeholders

  - Defined in sqlite-commons.ts:56